package jp.go.ipa.sample.component.contentprovider;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class MyDbHelper extends SQLiteOpenHelper {

    public MyDbHelper(Context context) {
        super(context, "image.db", null, 1);
    }

    @Override
    public void onCreate(SQLiteDatabase sqLiteDatabase) {

// 初回起動時に顧客テーブルを作成
        String sql = "create table image (" + "_id integer primary key autoincrement," + "name text not null," + "data blob not null" + ")";

        sqLiteDatabase.beginTransaction();
        sqLiteDatabase.execSQL(sql);
        sqLiteDatabase.setTransactionSuccessful();
        sqLiteDatabase.endTransaction();
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {

    }
}
