package jp.go.ipa.sample.component.activity.exported;

import jp.go.ipa.sample.component.activity.exported.R;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

/**
 * メイン画面Activityクラス
 */
public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
	}

	/*
	 * ログインボタンタップ
	 */
	public void onClickLogin(View v) {
		EditText userIdEdit = (EditText) findViewById(R.id.edittextId);
		EditText passwordEdit = (EditText) findViewById(R.id.edittextPass);

		// 入力されたIDとパスワードの取得
		String inputUserId = userIdEdit.getText().toString();
		String inputPassword = passwordEdit.getText().toString();

		// 未入力項目がある場合はメッセージ表示
		if ("".equals(inputUserId) || "".equals(inputPassword)) {
			Toast.makeText(this, "入力内容に不備があります", Toast.LENGTH_LONG).show();
			return;
		}

		// 各情報をIntentに設定する
		Intent intent = new Intent(this, ImageSelectActivity.class);
		startActivity(intent);
	}
}
