package jp.go.ipa.sample.component.broadcast;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.preference.PreferenceManager;
import android.view.Gravity;
import android.widget.Toast;

public class MessageReceiver extends BroadcastReceiver {
	@Override
	public void onReceive(Context context, Intent intent) {
		Toast toast = Toast.makeText(context, "画像データを受信しました", Toast.LENGTH_LONG);
		toast.setGravity(Gravity.AXIS_CLIP, 0, 0);
		toast.show();

		String pictureName = intent.getExtras().getString("pictureName");

		String msg = pictureName ;
		SharedPreferences sharedPref = PreferenceManager.getDefaultSharedPreferences(context);

        int maxSize = sharedPref.getAll().size();

		Editor editor = sharedPref.edit();
		editor.putString(Integer.toString(maxSize+1), msg);
		editor.commit();
		
	}
}
