package jp.go.ipa.sample.permission;

import jp.go.ipa.sample.permission.R;
import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.view.View;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
	}

	/*
	 * アプリ詳細表示ボタン
	 */
	public void onClickAppDetail(View v) {
		// アプリの詳細画面を表示する
		if (Build.VERSION.SDK_INT > 8) {
			// API9以上の機種の場合の処理
			Intent intent = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS", Uri.parse("package:" + getPackageName()));
			startActivity(intent);

		} else if (Build.VERSION.SDK_INT == 8) {
			// API8の機種の場合の処理
			Intent intent = new Intent(Intent.ACTION_VIEW);
			intent.setClassName("com.android.settings", "com.android.settings.InstalledAppDetails");
			intent.putExtra("pkg", getPackageName());
			startActivity(intent);

		} else if (Build.VERSION.SDK_INT < 8) {
			// API7以下の機種の場合の処理
			Intent intent = new Intent(Intent.ACTION_VIEW);
			intent.setClassName("com.android.settings", "com.android.settings.InstalledAppDetails");
			intent.putExtra("com.android.settings.ApplicationPkgName", getPackageName());
			startActivity(intent);
		}
	}
}
